<?php
/**
 * Get default option by passing option id
 *
 * @param string  $option
 * @return array|mixed|false
 * @param since   2.2
 */

if ( !function_exists( 'vlog_get_default_option' ) ):
	function vlog_get_default_option( $option ) {


		if ( empty( $option ) ) {
			return false;
		}

		$defaults = array(
			'logo' =>
			array(
				'url' => esc_url( get_parent_theme_file_uri( '/assets/img/vlog_logo.png' ) ),
			),
			'logo_retina' =>
			array(
				'url' => esc_url( get_parent_theme_file_uri( '/assets/img/vlog_logo@2x.png' ) ),
			),
			'logo_mini' =>
			array(
				'url' => esc_url( get_parent_theme_file_uri( '/assets/img/vlog_logo_mini.png' ) ),
			),
			'logo_mini_retina' => 
			array(
				'url' => esc_url( get_parent_theme_file_uri( '/assets/img/vlog_logo_mini@2x.png' ) ),
			),
			'logo_custom_url' => '',
			'default_fimg' => array(
				'url' => esc_url( get_parent_theme_file_uri( '/assets/img/vlog_default.jpg' ) ),
			),
			'header_layout' => 1,
			'header_site_desc' => 0,
			'header_actions' =>
			array(
				'search-drop' => 1,
				'search-form' => 0,
				'watch-later' => 1,
				'listen-later' => 0,
				'social-menu-drop' => 1,
				'social-menu' => 0,
				'login-form' => 0,
				'cart-icon' => 0,
			),
			'header_height' => 80,
			'color_header_main_bg' => '#ffffff',
			'background_header' =>
			array(
			),
			'color_header_main_txt' => '#111111',
			'color_header_main_acc' => '#9b59b6',
			'color_header_bottom_bg' => '#f6f6f6',
			'color_header_bottom_txt' => '#111111',
			'color_header_bottom_acc' => '#9b59b6',
			'header_shadow' => true,
			'header_top' => false,
			'color_header_top_bg' => '#34495e',
			'color_header_top_txt' => '#8b97a3',
			'color_header_top_acc' => '#ffffff',
			'header_top_l' => 'secondary-menu-1',
			'header_top_c' => '0',
			'header_top_r' => 'social-menu',
			'header_sticky' => true,
			'header_sticky_offset' => 600,
			'header_sticky_up' => false,
			'header_sticky_logo' => 'main',
			'header_sticky_colors' => 'main',
			'color_header_sticky_bg' => '#0288d1',
			'color_header_sticky_txt' => '#ffffff',
			'color_header_sticky_acc' => '#444444',
			'header_sticky_customize' => false,
			'header_sticky_layout' => 1,
			'header_sticky_menu' => 'vlog_main_menu',
			'header_sticky_actions' =>
			array(
				'search-drop' => 1,
				'search-form' => 0,
				'watch-later' => 1,
				'listen-later' => 0,
				'social-menu-drop' => 1,
				'social-menu' => 0,
				'login-form' => 0,
				'cart-icon' => 0,
			),
			'mega_menu' => true,
			'mega_menu_limit' => 4,
			'rensponsive_secondary_nav' => false,
			'responsive_more_link' => false,
			'responsive_social_nav' => false,
			'responsive_header_actions' =>
			array(
				'search-drop' => 1,
				'search-form' => 0,
				'watch-later' => 1,
				'listen-later' => 0,
				'social-menu-drop' => 0,
				'social-menu' => 0,
				'login-form' => 0,
				'cart-icon' => 0,
			),
			'content_layout' => 'wide',
			'body_background' => array(
				'background-color' => '#bbbbbb',
			),
			'color_content_bg' => '#ffffff',
			'color_content_title' => '#111111',
			'color_content_txt' => '#111111',
			'color_content_acc' => '#9b59b6',
			'color_content_meta' => '#999999',
			'color_highlight_bg' => '#34495e',
			'color_highlight_txt' => '#ffffff',
			'color_footer_bg' => '#34495e',
			'color_footer_txt' => '#ffffff',
			'color_footer_acc' => '#ffffff',
			'footer_widgets' => true,
			'footer_layout' => '3_4',
			'footer_bottom' => true,
			'footer_copyright' => wp_kses_post( '<p style="text-align: center;">' . sprintf( __( 'Copyright &copy; {current_year}. Created by %s. Powered by %s.', 'vlog' ), '<a href="https://mekshq.com" target="_blank" rel="noopener">Meks</a>', '<a href="https://www.wordpress.org" target="_blank" rel="noopener">WordPress</a>' ) . '</p>'),
			'sidebars' => array(),
			'cover_h' => 500,
			'cover_type' => 'fixed',
			'cover_w' => 1500,
			'cover_autoplay' => false,
			'cover_autoplay_time' => 5,
			'cover_shadow_enabled' => true,
			'lay_fa1_cat' => true,
			'lay_fa1_serie' => false,
			'lay_fa1_meta' => array(
				'date' => 1,
				'comments' => 0,
				'author' => 1,
				'views' => 0,
				'rtime' => 0,
			),
			'lay_fa1_actions' => array(
				'comments' => 1,
				'watch-later' => 1,
				'listen-later' => 1,
				'cinema-mode' => 1,
				'subscribe' => 0,
			),
			'lay_fa2_cat' => true,
			'lay_fa2_serie' => false,
			'lay_fa2_meta' =>
			array(
				'date' => 1,
			),
			'lay_fa2_actions' =>
			array(
				'comments' => 1,
				'watch-later' => 1,
				'listen-later' => 1,
				'cinema-mode' => 1,
			),
			'lay_fa3_cat' => false,
			'lay_fa3_serie' => false,
			'lay_fa3_meta' =>
			array(
				'date' => 1,
				'comments' => 1,
			),
			'lay_fa3_format_label' => false,
			'lay_fa3_special_tag' => false,
			'lay_fa4_cat' => true,
			'lay_fa4_serie' => false,
			'lay_fa4_meta' =>
			array(
				'date' => 1,
				'comments' => 1,
			),
			'lay_fa4_format_label' => true,
			'lay_fa4_special_tag' => true,
			'lay_fa5_cat' => false,
			'lay_fa5_serie' => false,
			'lay_fa5_meta' =>
			array(
				'date' => 1,
			),
			'lay_fa5_format_label' => true,
			'lay_fa5_special_tag' => true,
			'lay_a_cat' => true,
			'lay_a_serie' => false,
			'lay_a_meta' =>
			array(
				'date' => 1,
				'comments' => 1,
				'author' => 1,

			),
			'lay_a_content_type' => 'excerpt',
			'lay_a_excerpt_limit' => '290',
			'lay_a_rm' => true,
			'lay_a_format_label' => true,
			'lay_a_quick_view' => false,
			'lay_a_special_tag' => true,
			'img_size_lay_a_ratio' => '16_9',
			'img_size_lay_a_custom' => '',
			'lay_b_cat' => true,
			'lay_b_serie' => false,
			'lay_b_meta' =>
			array(
				'date' => 1,
				'comments' => 1,
			),
			'lay_b_excerpt' => true,
			'lay_b_excerpt_limit' => '170',
			'lay_b_rm' => false,
			'lay_b_format_label' => true,
			'lay_b_quick_view' => false,
			'lay_b_special_tag' => true,
			'img_size_lay_b_ratio' => '16_9',
			'img_size_lay_b_custom' => '',
			'lay_c_cat' => true,
			'lay_c_serie' => false,
			'lay_c_meta' =>
			array(
				'date' => 1,
				'author' => 1,
			),
			'lay_c_excerpt' => true,
			'lay_c_excerpt_limit' => '150',
			'lay_c_quick_view' => false,
			'lay_c_rm' => false,
			'lay_c_format_label' => true,
			'lay_c_special_tag' => true,
			'img_size_lay_c_ratio' => '16_9',
			'img_size_lay_c_custom' => '',
			'lay_d_cat' => true,
			'lay_d_serie' => false,
			'lay_d_meta' =>array(),
			'lay_d_excerpt' => false,
			'lay_d_excerpt_limit' => '100',
			'lay_d_format_label' => true,
			'lay_d_quick_view' => false,
			'lay_d_special_tag' => true,
			'img_size_lay_d_ratio' => '16_9',
			'img_size_lay_d_custom' => '',
			'lay_e_cat' => true,
			'lay_e_serie' => false,
			'lay_e_meta' => array(
				'views' => 1,
				'rtime' => 1,
			),
			'lay_e_excerpt' => false,
			'lay_e_excerpt_limit' => '150',
			'lay_e_format_label' => true,
			'lay_e_quick_view' => false,
			'lay_e_special_tag' => true,
			'img_size_lay_e_ratio' => '16_9',
			'img_size_lay_e_custom' => '',
			'lay_f_cat' => false,
			'lay_f_serie' => false,
			'lay_f_meta' =>
			array(
				'date' => 1,
			),
			'lay_f_quick_view' => false,
			'img_size_lay_f_ratio' => '3_2',
			'img_size_lay_f_custom' => '',
			'lay_g_cat' => true,
			'lay_g_serie' => false,
			'lay_g_meta' => array(),
			'lay_g_format_label' => true,
			'lay_g_quick_view' => false,
			'lay_g_special_tag' => true,
			'img_size_lay_g_ratio' => '16_9',
			'img_size_lay_g_custom' => '',
			'lay_h_cat' => false,
			'lay_h_serie' => false,
			'lay_h_meta' => array(),
			'lay_h_quick_view' => false,
			'img_size_lay_h_ratio' => '3_2',
			'img_size_lay_h_custom' => '',
			'single_fa_layout' => 1,
			'single_use_sidebar' => 'right',
			'single_sidebar' => 'vlog_default_sidebar',
			'single_sticky_sidebar' => 'vlog_default_sticky_sidebar',
			'single_cat' => true,
			'single_serie' => false,
			'lay_single_meta' =>
			array(
				'date' => 1,
				'views' => 1,
				'rtime' => 1,
			),
			'lay_single_actions' =>
			array(
				'comments' => 1,
				'watch-later' => 1,
				'cinema-mode' => 1,
			),
			'single_share' => 'above',
			'single_headline' => true,
			'single_tags' => true,
			'single_prev_next' => 'cover',
			'ignore_category_prev_next' => false,
			'single_author' => true,
			'single_fimg' => true,
			'single_fimg_cap' => true,
			'single_related' => true,
			'related_layout' => 'e',
			'related_limit' => 3,
			'related_by_series' => true,
			'related_type' => 'cat',
			'related_video_by_post_format' => false,
			'related_order' => 'date',
			'related_time' => '0',
			'single_video_layout_switch' => false,
			'single_video_layout' => 1,
			'autodetect_video' => true,
			'open_videos_inplay' => false,
			'video_sticky' => false,
			'display_playlist_mode' => false,
			'related_video_limit' => 5,
			'related_video_by_series' => true,
			'related_video_type' => 'cat',
			'related_video_by_video_format' => false,
			'related_video_order' => 'date',
			'related_video_time' => '0',
			'force_autoplay' => true,
			'autodetect_audio' => false,
			'open_audio_inplay' => false,
			'page_use_sidebar' => 'right',
			'page_sidebar' => 'vlog_default_sidebar',
			'page_sticky_sidebar' => 'vlog_default_sticky_sidebar',
			'page_fimg' => true,
			'page_fimg_cap' => false,
			'page_comments' => true,
			'category_fa_layout' => '1',
			'category_fa_limit' => 1,
			'category_fa_order' => 'date',
			'category_fa_unique' => true,
			'category_subnav' => false,
			'category_layout' => 'c',
			'category_ppp' => 'inherit',
			'category_ppp_num' => get_option('posts_per_page'),
			'category_starter_layout' => 'none',
			'category_starter_limit' => 1,
			'category_use_sidebar' => 'right',
			'category_sidebar' => 'vlog_default_sidebar',
			'category_sticky_sidebar' => 'vlog_default_sticky_sidebar',
			'category_pag' => 'numeric',
			'serie_order_asc' => true,
			'serie_fa_layout' => 1,
			'serie_fa_limit' => 1,
			'serie_layout' => 'b',
			'serie_ppp' => 'inherit',
			'serie_ppp_num' => get_option('posts_per_page'),
			'serie_starter_layout' => 'none',
			'serie_starter_limit' => 1,
			'serie_use_sidebar' => 'right',
			'serie_sidebar' => 'vlog_default_sidebar',
			'serie_sticky_sidebar' => 'vlog_default_sticky_sidebar',
			'serie_pag' => 'numeric',
			'tag_layout' => 'e',
			'tag_ppp' => 'inherit',
			'tag_ppp_num' => get_option('posts_per_page'),
			'tag_starter_layout' => 'none',
			'tag_starter_limit' => 1,
			'tag_use_sidebar' => 'right',
			'tag_sidebar' => 'vlog_default_sidebar',
			'tag_sticky_sidebar' => 'vlog_default_sticky_sidebar',
			'tag_pag' => 'numeric',
			'author_desc' => true,
			'author_layout' => 'b',
			'author_ppp' => 'inherit',
			'author_ppp_num' => get_option('posts_per_page'),
			'author_starter_layout' => 'none',
			'author_starter_limit' => 1,
			'author_use_sidebar' => 'right',
			'author_sidebar' => 'vlog_default_sidebar',
			'author_sticky_sidebar' => 'vlog_default_sticky_sidebar',
			'author_pag' => 'numeric',
			'search_layout' => 'b',
			'search_ppp' => 'inherit',
			'search_ppp_num' => get_option('posts_per_page'),
			'search_use_sidebar' => 'right',
			'search_sidebar' => 'vlog_default_sidebar',
			'search_sticky_sidebar' => 'vlog_default_sticky_sidebar',
			'search_pag' => 'numeric',
			'archive_layout' => 'b',
			'archive_ppp' => 'inherit',
			'archive_ppp_num' => get_option('posts_per_page'),
			'archive_starter_layout' => 'none',
			'archive_starter_limit' => 2,
			'archive_use_sidebar' => 'right',
			'archive_sidebar' => 'vlog_default_sidebar',
			'archive_sticky_sidebar' => 'vlog_default_sticky_sidebar',
			'archive_pag' => 'numeric',
			'main_font' =>
			array(
				'google' => true,
				'font-weight' => '400',
				'font-family' => 'Lato',
				'subsets' => 'latin-ext',
			),
			'h_font' =>
			array(
				'google' => true,
				'font-weight' => '700',
				'font-family' => 'Montserrat',
				'subsets' => 'latin-ext',
			),
			'nav_font' =>
			array(
				'google' => true,
				'font-weight' => '600',
				'font-family' => 'Montserrat',
				'subsets' => 'latin-ext',
			),
			'font_size_p' => '16',
			'font_size_nav' => '13',
			'font_size_mfs' => '14',
			'font_size_widget_title' => '16',
			'font_size_module_title' => '18',
			'font_size_h1' => '28',
			'font_size_h2' => '24',
			'font_size_h3' => '20',
			'font_size_h4' => '18',
			'font_size_h5' => '16',
			'font_size_h6' => '14',
			'font_size_h7' => '13',
			'font_size_excerpt_text' => '18',
			'font_size_meta_data' => '12',
			'uppercase' =>
			array(
				'site-title' => 1,
				'site-description' => 1,
				'vlog-site-header' => 1,
				'vlog-top-bar' => 1,
				'entry-title' => 0,
				'entry-category a' => 1,
				'vlog-mod-title, comment-author .fn' => 1,
				'widget-title' => 1,
			),
			'ad_header' => '',
			'ad_below_header' => '',
			'ad_above_footer' => '',
			'ad_above_single' => '',
			'ad_below_single' => '',
			'ad_between_posts' => '',
			'ad_between_posts_position' => 4,
			'ad_exclude_404' => false,
			'ad_exclude_from_pages' =>
			array(
			),
			'product_use_sidebar' => 'right',
			'product_sidebar' => 'vlog_default_sidebar',
			'product_sticky_sidebar' => 'vlog_default_sticky_sidebar',
			'product_archive_use_sidebar' => 'right',
			'product_archive_sidebar' => 'vlog_default_sidebar',
			'product_archive_sticky_sidebar' => 'vlog_default_sticky_sidebar',
			'lms_archive_use_sidebar' => 'none',
			'lms_archive_sidebar' => 'llms_course_widgets_side',
			'lms_archive_sticky_sidebar' => 'llms_lesson_widgets_side',
			'lms_single_use_sidebar' => 'left',
			'lms_single_sidebar' => 'llms_course_widgets_side',
			'lms_single_sticky_sidebar' => 'llms_lesson_widgets_side',
			'lms_single_fa_layout' => 1,
			'forum_use_sidebar' => 'right',
			'forum_sidebar' => 'vlog_default_sidebar',
			'forum_sticky_sidebar' => 'vlog_default_sticky_sidebar',
			'topic_use_sidebar' => 'right',
			'topic_sidebar' => 'vlog_default_sidebar',
			'topic_sticky_sidebar' => 'vlog_default_sticky_sidebar',
			'rtl_mode' => false,
			'rtl_lang_skip' => '',
			'watch_later_ajax' => false,
			'listen_later_ajax' => false,
			'more_string' => '...',
			'auto_gallery_img_sizes' => true,
			'views_forgery' => '',
			'on_single_img_popup' => false,
			'special_tag' => 0,
			'breadcrumbs' => 'none',
			'words_read_per_minute' => 200,
			'subscribe_video_url' => '',
			'primary_category' => false,
			'enable_translate' => '1',
			'minify_css' => true,
			'minify_js' => true,
			'disable_img_sizes' => array()
		);


		$defaults = apply_filters( 'vlog_modify_default_options', $defaults );

		if ( isset( $defaults[$option] ) ) {
			return $defaults[$option];
		}

		return false;
	}
endif;

?>
